Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.demo
Interface CommentWindow

All Known Implementing Classes:
  DefaultCommentWindow

public interface CommentWindow

Interface implementation defines a way to display step comments during demo or test debug.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Method Summary
`void` | `close()` Closes the window.
`java.lang.String` | `getInterruptMessage()` Returns a message for a case when test needs to be interrupted.
`boolean` | `isInterrupted()` Defines either test execution should be interrupted or not.
`boolean` | `isStopped()` Defines either test(demo) has been stopped or not.
`void` | `nextStep(java.lang.String stepComment)` Should display next step comment.
`void` | `setTitle(java.lang.String title)` Defines window title.
`void` | `showFinalComment(java.lang.String stepComment)` Method is invoked at the end of test(demo).

Method Detail

### isStopped

    public boolean isStopped()

  Defines either test(demo) has been stopped or not.
  Returns:
    true if test (demo) execution has been stopped. Like when user is reading step comments. false if test execution can be continued.

### isInterrupted

    public boolean isInterrupted()

  Defines either test execution should be interrupted or not.
  Returns:
    If true, execution will be interrupted.

### setTitle

    public void setTitle(java.lang.String title)

  Defines window title.
  Parameters:
    `title` - Title to display.

### nextStep

    public void nextStep(java.lang.String stepComment)

  Should display next step comment.
  Parameters:
    `stepComment` - Comments to be displayed.

### showFinalComment

    public void showFinalComment(java.lang.String stepComment)

  Method is invoked at the end of test(demo).
  Parameters:
    `stepComment` - Comment to be displayed.

### close

    public void close()

  Closes the window.

### getInterruptMessage

    public java.lang.String getInterruptMessage()

  Returns a message for a case when test needs to be interrupted.
  Returns:
    Interrupted message if test should be interrupted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD